package com.persagy.fm.department.jms;

import com.rabbitmq.client.Channel;
import org.springframework.amqp.core.*;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.io.IOException;


/**
 * 部门消息队列配置类
 *
 * @author lixing
 * @version V1.0 2021/3/17 9:38 上午
 **/
@Configuration
public class DepJmsConfig {
    /**
     * 运维平台exchange
     */
    @Value("${dep.amqp.exchange.saas}")
    private String depSaasExchange;

    /**
     * 运维平台routingKey
     */
    @Value("${dep.amqp.routingKey.saas}")
    private String depSaasRoutingKey;

    /**
     * 运维平台队列
     */
    @Value("${dep.amqp.queue.saas}")
    private String depSaasQueue;

    @Bean
    public TopicExchange depSaasExchange() {
        return new TopicExchange(depSaasExchange, true, false);
    }

    @Bean
    public Queue depSaasQueue(){
        return new Queue(depSaasQueue);
    }

    @Bean
    public Binding depSaasBinding() {
        return BindingBuilder.bind(depSaasQueue()).to(depSaasExchange()).with(depSaasRoutingKey);
    }
}
