package com.persagy.fm.department.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import com.persagy.fm.common.model.dto.PageDTO;
import lombok.Data;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-03-11 15:09:19
 */
@Data
@ApiModel(value = "分页查询部门入参")
public class PageQueryDepartmentDTO extends PageDTO {
    @ApiModelProperty(value = "id", required = true)
    private String id;

    @ApiModelProperty(value = "部门名称", required = true)
    private String name;

    @ApiModelProperty(value = "部门类型", required = true, notes = "com.persagy.fm.department.constant.enums.DepTypeEnum")
    private String type;

    @ApiModelProperty(value = "上级部门id列表", required = true)
    private List<String> parentIds;

    @ApiModelProperty(value = "数据来源", required = true, notes = "com.persagy.fm.department.constant.enums.ResourceFromEnum")
    private String resourceFrom;

//    @ApiModelProperty(value = "负责人", required = true)
//    private String managers;
//
//    @ApiModelProperty(value = "部门全路径", required = true)
//    private String fullPath;
//
//    @ApiModelProperty(value = "编制人数", required = true)
//    private Integer staffCount;
//
//    @ApiModelProperty(value = "是否包含下级部门", required = true)
//    private String hasChildren;

}
