package com.persagy.fm.department.service.impl;

import com.persagy.fm.department.model.vo.ManagerSimpleObjVO;
import com.persagy.fm.person.service.IPersonQueryService;
import com.persagy.fm.saas.project.model.vo.ProjectSimpleObjVO;
import com.persagy.fm.department.service.IDepTranslator;
import com.persagy.fm.person.model.Person;
import com.persagy.fm.saas.project.model.SaasProject;
import com.persagy.fm.saas.project.service.ISaasProjectService;
import org.assertj.core.util.Lists;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.List;
import java.util.stream.Collectors;

/**
 * 部门翻译器
 *
 * @author lixing
 * @version V1.0 2021/3/29 11:29 上午
 **/
@Service
public class DepTranslatorImpl implements IDepTranslator {
    @Autowired
    IPersonQueryService personQueryService;
    @Autowired
    ISaasProjectService saasProjectService;

    @Override
    public List<ManagerSimpleObjVO> getManagerVOList(List<String> managerIds) {
        if (CollectionUtils.isEmpty(managerIds)) {
            return Lists.newArrayList();
        }
        List<Person> people = personQueryService.queryByIds(managerIds);
        return people.stream().map(person -> {
            ManagerSimpleObjVO managerSimpleObjVO = new ManagerSimpleObjVO();
            managerSimpleObjVO.setId(person.getId().toString());
            managerSimpleObjVO.setName(person.getName());
            return managerSimpleObjVO;
        }).collect(Collectors.toList());
    }

    @Override
    public List<ProjectSimpleObjVO> getProjectVOList(List<String> projectIds) {
        if (CollectionUtils.isEmpty(projectIds)) {
            return Lists.newArrayList();
        }
        List<SaasProject> saasProjects = saasProjectService.queryProjectList(projectIds);
        return saasProjects.stream().map(saasProject -> {
            ProjectSimpleObjVO projectVO = new ProjectSimpleObjVO();
            projectVO.setId(saasProject.getProjectId());
            projectVO.setName(saasProject.getProjectName());
            return projectVO;
        }).collect(Collectors.toList());
    }
}
