package com.persagy.fm.person.constant.enums;

import com.persagy.fm.common.model.annotation.SwaggerDisplayEnum;
import lombok.Getter;
import lombok.Setter;

/**
 * 证件类型
 *
 * @author lixing
 * @version V1.0 2021/3/19 6:14 下午
 **/
@SwaggerDisplayEnum
public enum CertificateTypeEnum {
    /**
     * 证件类型
     */
    ID_CARD("1", "身份证"),
    OTHER("2", "其他");

    @Setter
    @Getter
    private String type;
    @Setter
    @Getter
    private String desc;

    CertificateTypeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public static CertificateTypeEnum getByType(String certificateType) {
        CertificateTypeEnum[] values = CertificateTypeEnum.values();
        for (CertificateTypeEnum value : values) {
            if (value.getType().equals(certificateType)) {
                return value;
            }
        }
        return null;
    }
}
