package com.persagy.fm.person.constant.enums;

import com.persagy.fm.common.model.annotation.SwaggerDisplayEnum;
import lombok.Getter;
import lombok.Setter;

/**
 * 员工类型
 *
 * @author lixing
 * @version V1.0 2021/3/12 3:00 下午
 */
@SwaggerDisplayEnum
public enum PersonTypeEnum {
    /**
     * 员工类型
     */
    PRIVATE("1", "自有员工"),
    OUTSOURCING("2", "外包员工"),
    PARTNER("3", "合作方人员"),
    FOREIGN("4", "外部用户");

    @Setter
    @Getter
    private String type;
    @Setter
    @Getter
    private String desc;

    PersonTypeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public static PersonTypeEnum getByType(String type) {
        PersonTypeEnum[] values = PersonTypeEnum.values();
        for (PersonTypeEnum value : values) {
            if (value.getType().equals(type)) {
                return value;
            }
        }
        return null;
    }
}
