package com.persagy.fm.person.jms;

import org.springframework.amqp.core.Binding;
import org.springframework.amqp.core.BindingBuilder;
import org.springframework.amqp.core.Queue;
import org.springframework.amqp.core.TopicExchange;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;


/**
 * 人员消息队列配置类
 *
 * @author lixing
 * @version V1.0 2021/3/17 9:38 上午
 **/
@Configuration
public class PersonJmsConfig {

    /**
     * 运维平台exchange
     */
    @Value("${person.amqp.exchange.saas}")
    private String personSaasExchange;

    /**
     * 运维平台routingKey
     */
    @Value("${person.amqp.routingKey.saas}")
    private String personSaasRoutingKey;

    /**
     * 运维平台队列
     */
    @Value("${person.amqp.queue.saas}")
    private String personSaasQueue;

    @Bean
    public TopicExchange personSaasExchange() {
        return new TopicExchange(personSaasExchange, true, false);
    }

    @Bean
    public Queue personSaasQueue(){
        return new Queue(personSaasQueue);
    }

    @Bean
    public Binding saasBinding() {
        return BindingBuilder.bind(personSaasQueue()).to(personSaasExchange()).with(personSaasRoutingKey);
    }
}
