package com.persagy.fm.person.model.dto;

import com.persagy.fm.common.model.dto.PageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

/**
 * @author lixing
 * @version V1.0 2021-03-15 17:20:33
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询部门下的人员入参")
public class PageQueryPersonDTO extends PageDTO {

    @ApiModelProperty(value = "部门id")
    private String depId;

    @ApiModelProperty(value = "在职状态", notes = "com.persagy.fm.workresume.constant.enums.WorkResumeHiredStateEnum")
    private Integer hiredState;

    @ApiModelProperty(value = "禁用状态", notes = "com.persagy.fm.workresume.constant.enums.WorkResumeEnableStateEnum")
    private Integer enableState;

    @ApiModelProperty(value = "姓名")
    private String name;
}
