package com.persagy.fm.person.model.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.persagy.fm.common.model.vo.SimpleObjVO;
import com.persagy.fm.department.model.vo.DepSimpleObjVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-03-15 17:20:33
 */
@Data
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AccountInfoVO {
    @ApiModelProperty("人员id")
    @JsonSerialize(using = ToStringSerializer.class)
    private String personId;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("账号id")
    @JsonIgnore
    private String accountId;

    @ApiModelProperty("账号")
    private String username;

    @ApiModelProperty(value = "头像")
    private String headPortrait;

    @ApiModelProperty(value = "手机号码")
    private String phoneNum;

    @ApiModelProperty(value = "邮箱")
    private String mail;

    @ApiModelProperty(value = "账号状态")
    private String valid;
}
