package com.persagy.fm.saas.accountrole.model.dto;

import com.persagy.fm.saas.common.model.dto.SaasBaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-03-25 09:39:39
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "创建账号-角色关联信息入参")
public class AddSaasAccountRoleDTO extends SaasBaseDTO {
    @ApiModelProperty(value = "账号ID", required = true)
    @NotNull(message = "账号ID不能为空") 
    private String accountId;

    @ApiModelProperty(value = "角色ID", required = true)
    @NotNull(message = "角色ID不能为空") 
    private String roleId;

    @ApiModelProperty(value = "关联类型，0-主岗，1-副岗", required = true)
    @NotNull(message = "关联类型不能为空")
    private String casType;
}
