package com.persagy.fm.saas.common.model.dto;

import com.persagy.fm.common.context.AppContext;
import com.persagy.fm.saas.account.constant.enums.AccountBelongEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

/**
 * 运维平台基础dto类
 *
 * @author lixing
 * @version V1.0 2021/3/26 4:48 下午
 **/
@Data
@ApiModel
public class SaasBaseDTO {
    @ApiModelProperty(value = "数据来源", hidden = true)
    private String accountBelong;
    @ApiModelProperty(value = "集团编码", hidden = true)
    private String groupCode;
    @ApiModelProperty(value = "客户端类型（PC、APP）", hidden = true)
    private String appId;
    @ApiModelProperty(value = "账号id", hidden = true)
    private String accountId;

    /**
     * 设置默认的属性
     *
     * @author lixing
     * @version V1.0 2021/3/26 11:32 上午
     */
    public void setDefaultValue() {
        setDefaultValueNoAccountId();
        this.setAccountId(AppContext.getContext().getAccountId());
    }

    /**
     * 设置默认的属性,不设置账号id
     * 账号id在某些接口中为需要用户输入的参数
     *
     * @author lixing
     * @version V1.0 2021/3/26 11:32 上午
     */
    public void setDefaultValueNoAccountId() {
        this.setAccountBelong(AccountBelongEnum.BUSINESS.getType());
        this.setGroupCode(AppContext.getContext().getGroupCode());
        this.setAppId(AppContext.getContext().getAppId());
    }
}
