package com.persagy.fm.saas.project.service;

import com.persagy.fm.saas.project.model.SaasProject;
import com.persagy.fm.saas.project.model.vo.ProjectTreeItemVO;

import java.util.List;

/**
 * 项目接口
 *
 * @author lixing
 * @version V1.0 2021/3/22 2:05 下午
 **/
public interface ISaasProjectService {
    /**
     * 传入一组项目id，获取相应的项目树
     *
     * @param projectIds 一组项目id
     * @return 项目树
     * @author lixing
     * @version V1.0 2021/3/22 2:29 下午
     */
    List<ProjectTreeItemVO> queryProjectTree(List<String> projectIds);

    /**
     * 获取整个集团的项目树
     *
     * @return 项目树
     * @author lixing
     * @version V1.0 2021/3/26 5:36 下午
     */
    List<ProjectTreeItemVO> queryAllProjectTree();

    /**
     * 根据项目id列表查询项目信息
     *
     * @param projectIds 项目id列表
     * @return 项目信息列表
     * @author lixing
     * @version V1.0 2021/4/8 4:33 下午
     */
    List<SaasProject> queryProjectList(List<String> projectIds);
}
