package com.persagy.fm.saas.role.model;

import com.persagy.fm.saas.common.model.dto.SaasBaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.persagy.fm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * (SaasRole)实体类
 *
 * @author lixing
 * @version V1.0 2021-03-22 19:04:59
 */
@Data
@ApiModel(description = "")
public class SaasRole extends SaasBaseDTO {
    private static final long serialVersionUID = -13451619873751031L;

    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("角色编码")
    private String roleCode;

    @ApiModelProperty("角色名称")
    private String roleName;

    @ApiModelProperty("角色类型")
    private String roleType;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("关联的菜单数量")
    private Integer countMenu;

    @ApiModelProperty("关联的功能点数量")
    private Integer countFunction;


    public static String PROP_ROLE_CODE = "role_code";
    public static String PROP_ROLE_NAME = "role_name";
    public static String PROP_ROLE_TYPE = "role_type";
    public static String PROP_ACCOUNT_BELONG = "account_belong";
    public static String PROP_ACCOUNT_ID = "account_id";
    public static String PROP_APP_ID = "app_id";
    public static String PROP_REMARK = "remark";

}
