package com.persagy.fm.saas.role.service;

import com.persagy.fm.saas.role.model.*;
import com.persagy.fm.saas.role.model.dto.*;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * (SaasRole) service接口
 *
 * @author lixing
 * @version V1.0 2021-03-22 19:04:15
 */
public interface ISaasRoleService {

    /**
     * 创建
     *
     * @param addSaasRoleDTO addDTO
     * @return 主键
     * @author lixing
     * @version V1.0 2021-03-22 19:04:15
     */
    String createSaasRole(AddSaasRoleDTO addSaasRoleDTO);

    /**
     * 详情
     *
     * @param id 主键
     * @return do对象
     * @author lixing
     * @version V1.0 2021-03-22 19:04:15
     */
    SaasRole querySaasRoleDetail(String id);

    /**
     * 更新
     *
     * @param updateSaasRoleDTO updateDTO
     * @author lixing
     * @version V1.0 2021-03-22 19:04:15
     */
    void updateSaasRole(UpdateSaasRoleDTO updateSaasRoleDTO);

    /**
     * 删除
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-03-22 19:04:15
     */
    void deleteSaasRole(String id);

    /**
     * 查询
     *
     * @param querySaasRoleDTO queryDTO
     * @return List<SaasRole>
     * @author lixing
     * @version V1.0 2021-03-22 19:04:15
     */
    List<SaasRole> querySaasRoleList(QuerySaasRoleDTO querySaasRoleDTO);

    /**
     * 根据角色id列表查询
     *
     * @param roleIdList 角色id列表
     * @return List<SaasRole>
     * @author lixing
     * @version V1.0 2021-03-22 19:04:15
     */
    List<SaasRole> querySaasRoleListByRoleIdList(List<String> roleIdList);

    /**
     * 根据角色id列表查询
     *
     * @param roleIdList 角色id列表
     * @return Map<String, SaasRole> roleId -> saasRole
     * @author lixing
     * @version V1.0 2021-03-22 19:04:15
     */
    Map<String, SaasRole> querySaasRoleMapByRoleIdList(List<String> roleIdList);

    /**
     * 分页查询
     *
     * @param pageQuerySaasRoleDTO pageQueryDTO
     * @return IPage<SaasRole>
     * @author lixing
     * @version V1.0 2021-03-22 19:04:15
     */
    IPage<SaasRole> pageQuerySaasRole(PageQuerySaasRoleDTO pageQuerySaasRoleDTO);

    /**
     * 根据名称查询
     *
     * @param querySaasRoleByNameDTO 根据名称查询入参
     * @return 角色列表
     * @author lixing
     * @version V1.0 2021-03-22 19:04:15
     */
    List<SaasRole> queryByName(QuerySaasRoleByNameDTO querySaasRoleByNameDTO);
}
