package com.persagy.fm.workresume.model;

import com.persagy.fm.common.model.entity.AuditableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 工作信息(WorkResume)实体类
 *
 * @author lixing
 * @version V1.0 2021-03-15 17:20:07
 */
@Data
@ApiModel(description = "工作信息")
public class WorkResume extends AuditableEntity<WorkResume> implements Serializable {
    private static final long serialVersionUID = -83670378701786778L;

    @ApiModelProperty("人员主键")
    private String personId;

    @ApiModelProperty("部门主键")
    private String depId;

    @ApiModelProperty("在职状态")
    private String hiredState;

    @ApiModelProperty("启用状态")
    private String enableState;

    @ApiModelProperty("入职时间")
    private Date hiredDate;

    @ApiModelProperty("离职时间")
    private Date departureDate;

    @ApiModelProperty(value = "是否是部门主管", notes = "com.persagy.fm.common.constant.enums.BoolEnum")
    private String isLeader;


    public static String PROP_PERSON_ID = "person_id";
    public static String PROP_DEP_ID = "dep_id";
    public static String PROP_HIRED_STATE = "hired_state";
    public static String PROP_ENABLE_STATE = "enable_state";
    public static String PROP_HIRED_DATE = "hired_date";
    public static String PROP_DEPARTURE_DATE = "departure_date";
    public static String PROP_IS_LEADER = "is_leader";

}
