CREATE TABLE IF NOT EXISTS `dep_project` ( `id` varchar(64) NOT NULL DEFAULT '' COMMENT '主键', `dep_id` varchar(64) DEFAULT NULL COMMENT '部门id', `project_id` varchar(80) DEFAULT NULL COMMENT '项目id', `ts` timestamp NULL DEFAULT NULL COMMENT '乐观锁', `creator` varchar(32) DEFAULT NULL COMMENT '创建人', `creation_time` timestamp NULL DEFAULT NULL COMMENT '创建时间', `modifier` varchar(32) DEFAULT NULL COMMENT '最后修改人', `modified_time` timestamp NULL DEFAULT NULL COMMENT '最后修改时间', `valid` int(11) DEFAULT NULL COMMENT '合法标识', PRIMARY KEY (`id`) ) ENGINE = InnoDB CHARSET = utf8mb4 COMMENT '部门项目';  CREATE TABLE IF NOT EXISTS `department` ( `id` varchar(64) NOT NULL DEFAULT '' COMMENT 'id', `name` varchar(100) NOT NULL DEFAULT '' COMMENT '部门名称', `type` varchar(10) NOT NULL DEFAULT '' COMMENT '部门类型', `parent_id` varchar(64) NOT NULL DEFAULT '0' COMMENT '上级部门id', `resource_from` varchar(10) NOT NULL DEFAULT '0' COMMENT '数据来源', `managers` text COMMENT '负责人', `full_path` text COMMENT '部门全路径', `staff_count` int(11) NOT NULL DEFAULT '0' COMMENT '编制人数', `project_ids` json DEFAULT NULL COMMENT '关联的项目', `ts` timestamp NULL DEFAULT NULL COMMENT '乐观锁', `creator` varchar(32) DEFAULT NULL COMMENT '创建人', `creation_time` timestamp NULL DEFAULT NULL COMMENT '创建时间', `modifier` varchar(32) DEFAULT NULL COMMENT '最后修改人', `modified_time` timestamp NULL DEFAULT NULL COMMENT '最后修改时间', `valid` int(11) DEFAULT NULL COMMENT '合法标识', PRIMARY KEY (`id`) ) ENGINE = InnoDB CHARSET = utf8mb4 COMMENT '部门';  CREATE TABLE IF NOT EXISTS `person` ( `id` varchar(64) NOT NULL DEFAULT '' COMMENT 'id', `name` varchar(80) DEFAULT NULL COMMENT '姓名', `name_pinyin` varchar(200) DEFAULT NULL COMMENT '姓名拼音', `username` varchar(80) DEFAULT NULL COMMENT '账号', `account_id` varchar(80) DEFAULT NULL COMMENT '账号id', `id_number` varchar(80) DEFAULT NULL COMMENT '证件号码', `certificate_type` varchar(10) DEFAULT NULL COMMENT '证件类型', `gender` int(11) DEFAULT NULL COMMENT '性别', `birthday` timestamp NULL DEFAULT NULL COMMENT '生日', `job_number` varchar(80) DEFAULT NULL COMMENT '工号', `person_type` varchar(10) DEFAULT NULL COMMENT '员工类型', `user_from` varchar(80) DEFAULT NULL COMMENT '账号来源', `leader` bigint(20) DEFAULT NULL COMMENT '直接领导', `remark` varchar(500) DEFAULT NULL COMMENT '备注', `profession` text COMMENT '专业', `ts` timestamp NULL DEFAULT NULL COMMENT '乐观锁', `creation_time` timestamp NULL DEFAULT NULL COMMENT '创建时间', `creator` varchar(80) DEFAULT NULL COMMENT '创建用户', `modifier` varchar(80) DEFAULT NULL COMMENT '更新用户', `modified_time` timestamp NULL DEFAULT NULL COMMENT '更新时间', `valid` int(11) DEFAULT NULL COMMENT '合法标识', PRIMARY KEY USING BTREE (`id`) ) ENGINE = InnoDB CHARSET = utf8mb4 COMMENT '人员';  CREATE TABLE IF NOT EXISTS `profession` ( `id` varchar(64) NOT NULL DEFAULT '' COMMENT '主键', `name` varchar(20) NOT NULL DEFAULT '' COMMENT '专业名称', `editable` char(11) NOT NULL DEFAULT '' COMMENT '是否可编辑', `ts` timestamp NULL DEFAULT NULL COMMENT '乐观锁', `creator` varchar(32) DEFAULT NULL COMMENT '创建人', `creation_time` timestamp NULL DEFAULT NULL COMMENT '创建时间', `modifier` varchar(32) DEFAULT NULL COMMENT '最后修改人', `modified_time` timestamp NULL DEFAULT NULL COMMENT '最后修改时间', `valid` int(11) DEFAULT NULL COMMENT '合法标识', PRIMARY KEY (`id`) ) ENGINE = InnoDB CHARSET = utf8mb4 COMMENT '专业';  CREATE TABLE IF NOT EXISTS `work_resume` ( `id` varchar(64) NOT NULL DEFAULT '' COMMENT 'id', `person_id` varchar(64) NOT NULL DEFAULT '' COMMENT '人员主键', `dep_id` varchar(64) NOT NULL DEFAULT '' COMMENT '部门主键', `hired_state` varchar(10) NOT NULL DEFAULT '0' COMMENT '在职状态', `enable_state` varchar(10) NOT NULL DEFAULT '0' COMMENT '启用状态', `hired_date` timestamp NULL DEFAULT NULL COMMENT '入职时间', `departure_date` timestamp NULL DEFAULT NULL COMMENT '离职时间', `is_leader` varchar(10) DEFAULT NULL COMMENT '是否是部门主管', `ts` timestamp NULL DEFAULT NULL COMMENT '乐观锁', `creator` varchar(32) DEFAULT NULL COMMENT '创建人', `creation_time` timestamp NULL DEFAULT NULL COMMENT '创建时间', `modifier` varchar(32) DEFAULT NULL COMMENT '最后修改人', `modified_time` timestamp NULL DEFAULT NULL COMMENT '最后修改时间', `valid` int(11) DEFAULT NULL COMMENT '合法标识', PRIMARY KEY (`id`) ) ENGINE = InnoDB CHARSET = utf8mb4 COMMENT '工作信息';